ea7dfda4200cd6fd7ea4c584cae03ca92420b0dc
[framework/graphics/cairo.git] / perf / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkglibexecdir = $(libexecdir)/@PACKAGE@
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 install_sh_DATA = $(install_sh) -c -m 644
25 install_sh_PROGRAM = $(install_sh) -c
26 install_sh_SCRIPT = $(install_sh) -c
27 INSTALL_HEADER = $(INSTALL_DATA)
28 transform = $(program_transform_name)
29 NORMAL_INSTALL = :
30 PRE_INSTALL = :
31 POST_INSTALL = :
32 NORMAL_UNINSTALL = :
33 PRE_UNINSTALL = :
34 POST_UNINSTALL = :
35 build_triplet = @build@
36 host_triplet = @host@
37 DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
38         $(top_srcdir)/build/Makefile.am.common \
39         $(top_srcdir)/perf/Makefile.sources COPYING
40 EXTRA_PROGRAMS = cairo-analyse-trace$(EXEEXT) \
41         cairo-perf-micro$(EXEEXT) cairo-perf-trace$(EXEEXT) \
42         cairo-perf-diff-files$(EXEEXT) cairo-perf-print$(EXEEXT) \
43         cairo-perf-chart$(EXEEXT) cairo-perf-compare-backends$(EXEEXT) \
44         cairo-perf-graph-files$(EXEEXT)
45 TESTS =
46 check_PROGRAMS =
47 noinst_PROGRAMS = cairo-analyse-trace$(EXEEXT) \
48         cairo-perf-trace$(EXEEXT) cairo-perf-micro$(EXEEXT)
49 subdir = perf
50 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
51 am__aclocal_m4_deps = $(top_srcdir)/build/aclocal.cairo.m4 \
52         $(top_srcdir)/build/aclocal.compare.m4 \
53         $(top_srcdir)/build/aclocal.enable.m4 \
54         $(top_srcdir)/build/aclocal.float.m4 \
55         $(top_srcdir)/build/aclocal.makefile.m4 \
56         $(top_srcdir)/build/aclocal.pkg.m4 \
57         $(top_srcdir)/build/gtk-doc.m4 $(top_srcdir)/build/libtool.m4 \
58         $(top_srcdir)/build/ltoptions.m4 \
59         $(top_srcdir)/build/ltsugar.m4 \
60         $(top_srcdir)/build/ltversion.m4 \
61         $(top_srcdir)/build/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
62         $(top_srcdir)/cairo-version.h \
63         $(top_srcdir)/build/configure.ac.version \
64         $(top_srcdir)/build/configure.ac.tools \
65         $(top_srcdir)/build/configure.ac.features \
66         $(top_srcdir)/build/configure.ac.warnings \
67         $(top_srcdir)/build/configure.ac.system \
68         $(top_srcdir)/build/configure.ac.analysis \
69         $(top_srcdir)/build/configure.ac.noversion \
70         $(top_srcdir)/build/configure.ac.pthread \
71         $(top_srcdir)/configure.ac
72 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
73         $(ACLOCAL_M4)
74 mkinstalldirs = $(install_sh) -d
75 CONFIG_HEADER = $(top_builddir)/config.h
76 CONFIG_CLEAN_FILES =
77 CONFIG_CLEAN_VPATH_FILES =
78 libcairoperf_la_LIBADD =
79 am__objects_1 = cairo-perf.lo cairo-perf-report.lo cairo-stats.lo
80 am__objects_2 = cairo-time.lo
81 am__objects_3 =
82 am_libcairoperf_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
83         $(am__objects_3)
84 libcairoperf_la_OBJECTS = $(am_libcairoperf_la_OBJECTS)
85 AM_V_lt = $(am__v_lt_$(V))
86 am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
87 am__v_lt_0 = --silent
88 PROGRAMS = $(noinst_PROGRAMS)
89 am__objects_4 = cairo-analyse-trace.$(OBJEXT)
90 am__objects_5 = cairo-error.$(OBJEXT)
91 am_cairo_analyse_trace_OBJECTS = $(am__objects_4) $(am__objects_5)
92 cairo_analyse_trace_OBJECTS = $(am_cairo_analyse_trace_OBJECTS)
93 am__objects_6 = cairo-perf-chart.$(OBJEXT)
94 am_cairo_perf_chart_OBJECTS = $(am__objects_6)
95 cairo_perf_chart_OBJECTS = $(am_cairo_perf_chart_OBJECTS)
96 cairo_perf_chart_LDADD = $(LDADD)
97 cairo_perf_chart_DEPENDENCIES = libcairoperf.la \
98         $(top_builddir)/boilerplate/libcairoboilerplate.la \
99         $(top_builddir)/src/libcairo.la
100 am__objects_7 = cairo-perf-compare-backends.$(OBJEXT)
101 am_cairo_perf_compare_backends_OBJECTS = $(am__objects_7)
102 cairo_perf_compare_backends_OBJECTS =  \
103         $(am_cairo_perf_compare_backends_OBJECTS)
104 cairo_perf_compare_backends_LDADD = $(LDADD)
105 cairo_perf_compare_backends_DEPENDENCIES = libcairoperf.la \
106         $(top_builddir)/boilerplate/libcairoboilerplate.la \
107         $(top_builddir)/src/libcairo.la
108 am__objects_8 = cairo-perf-diff-files.$(OBJEXT)
109 am_cairo_perf_diff_files_OBJECTS = $(am__objects_8)
110 cairo_perf_diff_files_OBJECTS = $(am_cairo_perf_diff_files_OBJECTS)
111 cairo_perf_diff_files_LDADD = $(LDADD)
112 cairo_perf_diff_files_DEPENDENCIES = libcairoperf.la \
113         $(top_builddir)/boilerplate/libcairoboilerplate.la \
114         $(top_builddir)/src/libcairo.la
115 am__objects_9 =  \
116         cairo_perf_graph_files-cairo-perf-graph-files.$(OBJEXT) \
117         cairo_perf_graph_files-cairo-perf-graph-widget.$(OBJEXT)
118 am_cairo_perf_graph_files_OBJECTS = $(am__objects_9) $(am__objects_3)
119 cairo_perf_graph_files_OBJECTS = $(am_cairo_perf_graph_files_OBJECTS)
120 cairo_perf_graph_files_DEPENDENCIES = $(LDADD)
121 cairo_perf_graph_files_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
122         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
123         $(cairo_perf_graph_files_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
124         $(LDFLAGS) -o $@
125 am__objects_10 = cairo-perf-micro.$(OBJEXT)
126 am_cairo_perf_micro_OBJECTS = $(am__objects_10)
127 cairo_perf_micro_OBJECTS = $(am_cairo_perf_micro_OBJECTS)
128 am__objects_11 = cairo-perf-print.$(OBJEXT)
129 am_cairo_perf_print_OBJECTS = $(am__objects_11)
130 cairo_perf_print_OBJECTS = $(am_cairo_perf_print_OBJECTS)
131 cairo_perf_print_LDADD = $(LDADD)
132 cairo_perf_print_DEPENDENCIES = libcairoperf.la \
133         $(top_builddir)/boilerplate/libcairoboilerplate.la \
134         $(top_builddir)/src/libcairo.la
135 am__objects_12 = cairo-perf-trace.$(OBJEXT)
136 am__objects_13 = cairo-error.$(OBJEXT) cairo-hash.$(OBJEXT)
137 am_cairo_perf_trace_OBJECTS = $(am__objects_12) $(am__objects_13)
138 cairo_perf_trace_OBJECTS = $(am_cairo_perf_trace_OBJECTS)
139 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
140 depcomp = $(SHELL) $(top_srcdir)/build/depcomp
141 am__depfiles_maybe = depfiles
142 am__mv = mv -f
143 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
144         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
145 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
146         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
147         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
148         $(AM_CFLAGS) $(CFLAGS)
149 AM_V_CC = $(am__v_CC_$(V))
150 am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
151 am__v_CC_0 = @echo "  CC    " $@;
152 AM_V_at = $(am__v_at_$(V))
153 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
154 am__v_at_0 = @
155 CCLD = $(CC)
156 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
157         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
158         $(AM_LDFLAGS) $(LDFLAGS) -o $@
159 AM_V_CCLD = $(am__v_CCLD_$(V))
160 am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
161 am__v_CCLD_0 = @echo "  CCLD  " $@;
162 AM_V_GEN = $(am__v_GEN_$(V))
163 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
164 am__v_GEN_0 = @echo "  GEN   " $@;
165 SOURCES = $(libcairoperf_la_SOURCES) $(cairo_analyse_trace_SOURCES) \
166         $(cairo_perf_chart_SOURCES) \
167         $(cairo_perf_compare_backends_SOURCES) \
168         $(cairo_perf_diff_files_SOURCES) \
169         $(cairo_perf_graph_files_SOURCES) $(cairo_perf_micro_SOURCES) \
170         $(cairo_perf_print_SOURCES) $(cairo_perf_trace_SOURCES)
171 DIST_SOURCES = $(libcairoperf_la_SOURCES) \
172         $(cairo_analyse_trace_SOURCES) $(cairo_perf_chart_SOURCES) \
173         $(cairo_perf_compare_backends_SOURCES) \
174         $(cairo_perf_diff_files_SOURCES) \
175         $(cairo_perf_graph_files_SOURCES) $(cairo_perf_micro_SOURCES) \
176         $(cairo_perf_print_SOURCES) $(cairo_perf_trace_SOURCES)
177 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
178         html-recursive info-recursive install-data-recursive \
179         install-dvi-recursive install-exec-recursive \
180         install-html-recursive install-info-recursive \
181         install-pdf-recursive install-ps-recursive install-recursive \
182         installcheck-recursive installdirs-recursive pdf-recursive \
183         ps-recursive uninstall-recursive
184 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
185   distclean-recursive maintainer-clean-recursive
186 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
187         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
188         distdir
189 ETAGS = etags
190 CTAGS = ctags
191 am__tty_colors = \
192 red=; grn=; lgn=; blu=; std=
193 DIST_SUBDIRS = $(SUBDIRS)
194 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
195 am__relativize = \
196   dir0=`pwd`; \
197   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
198   sed_rest='s,^[^/]*/*,,'; \
199   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
200   sed_butlast='s,/*[^/]*$$,,'; \
201   while test -n "$$dir1"; do \
202     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
203     if test "$$first" != "."; then \
204       if test "$$first" = ".."; then \
205         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
206         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
207       else \
208         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
209         if test "$$first2" = "$$first"; then \
210           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
211         else \
212           dir2="../$$dir2"; \
213         fi; \
214         dir0="$$dir0"/"$$first"; \
215       fi; \
216     fi; \
217     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
218   done; \
219   reldir="$$dir2"
220 ACLOCAL = @ACLOCAL@
221 AMTAR = @AMTAR@
222 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
223 AR = @AR@
224 AS = @AS@
225 AUTOCONF = @AUTOCONF@
226 AUTOHEADER = @AUTOHEADER@
227 AUTOMAKE = @AUTOMAKE@
228 AWK = @AWK@
229 BFD_LIBS = @BFD_LIBS@
230 CAIROBOILERPLATE_LIBS = @CAIROBOILERPLATE_LIBS@
231 CAIRO_CFLAGS = @CAIRO_CFLAGS@
232 CAIRO_LDFLAGS = @CAIRO_LDFLAGS@
233 CAIRO_LIBS = @CAIRO_LIBS@
234 CAIRO_LIBTOOL_VERSION_INFO = @CAIRO_LIBTOOL_VERSION_INFO@
235 CAIRO_NONPKGCONFIG_CFLAGS = @CAIRO_NONPKGCONFIG_CFLAGS@
236 CAIRO_NONPKGCONFIG_LIBS = @CAIRO_NONPKGCONFIG_LIBS@
237 CAIRO_RELEASE_STATUS = @CAIRO_RELEASE_STATUS@
238 CAIRO_REQUIRES = @CAIRO_REQUIRES@
239 CAIRO_TEST_MODE = @CAIRO_TEST_MODE@
240 CAIRO_TEST_UNDEFINED_LDFLAGS = @CAIRO_TEST_UNDEFINED_LDFLAGS@
241 CAIRO_VERSION_MAJOR = @CAIRO_VERSION_MAJOR@
242 CAIRO_VERSION_MICRO = @CAIRO_VERSION_MICRO@
243 CAIRO_VERSION_MINOR = @CAIRO_VERSION_MINOR@
244 CAIRO_VERSION_SONUM = @CAIRO_VERSION_SONUM@
245 CC = @CC@
246 CCDEPMODE = @CCDEPMODE@
247 CFLAGS = @CFLAGS@
248 CPP = @CPP@
249 CPPFLAGS = @CPPFLAGS@
250 CXX = @CXX@
251 CXXCPP = @CXXCPP@
252 CXXDEPMODE = @CXXDEPMODE@
253 CXXFLAGS = @CXXFLAGS@
254 CYGPATH_W = @CYGPATH_W@
255 DEFS = @DEFS@
256 DEPDIR = @DEPDIR@
257 DLLTOOL = @DLLTOOL@
258 DSYMUTIL = @DSYMUTIL@
259 DUMPBIN = @DUMPBIN@
260 ECHO_C = @ECHO_C@
261 ECHO_N = @ECHO_N@
262 ECHO_T = @ECHO_T@
263 EGREP = @EGREP@
264 EXEEXT = @EXEEXT@
265 FGREP = @FGREP@
266 FIND = @FIND@
267 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
268 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
269 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
270 FREETYPE_CONFIG = @FREETYPE_CONFIG@
271 FREETYPE_LIBS = @FREETYPE_LIBS@
272 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
273 GOBJECT_LIBS = @GOBJECT_LIBS@
274 GREP = @GREP@
275 GS = @GS@
276 GTKDOC_CHECK = @GTKDOC_CHECK@
277 GTKDOC_MKPDF = @GTKDOC_MKPDF@
278 GTKDOC_REBASE = @GTKDOC_REBASE@
279 HTML_DIR = @HTML_DIR@
280 INSTALL = @INSTALL@
281 INSTALL_DATA = @INSTALL_DATA@
282 INSTALL_PROGRAM = @INSTALL_PROGRAM@
283 INSTALL_SCRIPT = @INSTALL_SCRIPT@
284 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
285 LD = @LD@
286 LDFLAGS = @LDFLAGS@
287 LIBM = @LIBM@
288 LIBOBJS = @LIBOBJS@
289 LIBRSVG_CFLAGS = @LIBRSVG_CFLAGS@
290 LIBRSVG_LIBS = @LIBRSVG_LIBS@
291 LIBS = @LIBS@
292 LIBSPECTRE_CFLAGS = @LIBSPECTRE_CFLAGS@
293 LIBSPECTRE_LIBS = @LIBSPECTRE_LIBS@
294 LIBTOOL = @LIBTOOL@
295 LIPO = @LIPO@
296 LN_S = @LN_S@
297 LTLIBOBJS = @LTLIBOBJS@
298 LTP = @LTP@
299 LTP_GENHTML = @LTP_GENHTML@
300 MAKEINFO = @MAKEINFO@
301 MKDIR_P = @MKDIR_P@
302 NM = @NM@
303 NMEDIT = @NMEDIT@
304 OBJDUMP = @OBJDUMP@
305 OBJEXT = @OBJEXT@
306 OTOOL = @OTOOL@
307 OTOOL64 = @OTOOL64@
308 PACKAGE = @PACKAGE@
309 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
310 PACKAGE_NAME = @PACKAGE_NAME@
311 PACKAGE_STRING = @PACKAGE_STRING@
312 PACKAGE_TARNAME = @PACKAGE_TARNAME@
313 PACKAGE_URL = @PACKAGE_URL@
314 PACKAGE_VERSION = @PACKAGE_VERSION@
315 PATH_SEPARATOR = @PATH_SEPARATOR@
316 PKGCONFIG_REQUIRES = @PKGCONFIG_REQUIRES@
317 PKG_CONFIG = @PKG_CONFIG@
318 POPPLER_CFLAGS = @POPPLER_CFLAGS@
319 POPPLER_LIBS = @POPPLER_LIBS@
320 RANLIB = @RANLIB@
321 SED = @SED@
322 SET_MAKE = @SET_MAKE@
323 SHELL = @SHELL@
324 SHLIB_EXT = @SHLIB_EXT@
325 SHM_LIBS = @SHM_LIBS@
326 SHTOOL = @SHTOOL@
327 STRIP = @STRIP@
328 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
329 VALGRIND_LIBS = @VALGRIND_LIBS@
330 VERSION = @VERSION@
331 XARGS = @XARGS@
332 XMKMF = @XMKMF@
333 X_CFLAGS = @X_CFLAGS@
334 X_EXTRA_LIBS = @X_EXTRA_LIBS@
335 X_LIBS = @X_LIBS@
336 X_PRE_LIBS = @X_PRE_LIBS@
337 abs_builddir = @abs_builddir@
338 abs_srcdir = @abs_srcdir@
339 abs_top_builddir = @abs_top_builddir@
340 abs_top_srcdir = @abs_top_srcdir@
341 ac_ct_CC = @ac_ct_CC@
342 ac_ct_CXX = @ac_ct_CXX@
343 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
344 am__include = @am__include@
345 am__leading_dot = @am__leading_dot@
346 am__quote = @am__quote@
347 am__tar = @am__tar@
348 am__untar = @am__untar@
349 bindir = @bindir@
350 build = @build@
351 build_alias = @build_alias@
352 build_cpu = @build_cpu@
353 build_os = @build_os@
354 build_vendor = @build_vendor@
355 builddir = @builddir@
356 cogl_CFLAGS = @cogl_CFLAGS@
357 cogl_LIBS = @cogl_LIBS@
358 datadir = @datadir@
359 datarootdir = @datarootdir@
360 directfb_CFLAGS = @directfb_CFLAGS@
361 directfb_LIBS = @directfb_LIBS@
362 docdir = @docdir@
363 drm_CFLAGS = @drm_CFLAGS@
364 drm_LIBS = @drm_LIBS@
365 dvidir = @dvidir@
366 egl_CFLAGS = @egl_CFLAGS@
367 egl_LIBS = @egl_LIBS@
368 exec_prefix = @exec_prefix@
369 gallium_DIR = @gallium_DIR@
370 gl_CFLAGS = @gl_CFLAGS@
371 gl_LIBS = @gl_LIBS@
372 glesv2_CFLAGS = @glesv2_CFLAGS@
373 glesv2_LIBS = @glesv2_LIBS@
374 glib_CFLAGS = @glib_CFLAGS@
375 glib_LIBS = @glib_LIBS@
376 gtk_CFLAGS = @gtk_CFLAGS@
377 gtk_LIBS = @gtk_LIBS@
378 host = @host@
379 host_alias = @host_alias@
380 host_cpu = @host_cpu@
381 host_os = @host_os@
382 host_vendor = @host_vendor@
383 htmldir = @htmldir@
384 includedir = @includedir@
385 infodir = @infodir@
386 install_sh = @install_sh@
387 libdir = @libdir@
388 libexecdir = @libexecdir@
389 localedir = @localedir@
390 localstatedir = @localstatedir@
391 lt_ECHO = @lt_ECHO@
392 mandir = @mandir@
393 mesa_DIR = @mesa_DIR@
394 mkdir_p = @mkdir_p@
395 oldincludedir = @oldincludedir@
396 pdfdir = @pdfdir@
397 pixman_CFLAGS = @pixman_CFLAGS@
398 pixman_LIBS = @pixman_LIBS@
399 png_CFLAGS = @png_CFLAGS@
400 png_LIBS = @png_LIBS@
401 png_REQUIRES = @png_REQUIRES@
402 prefix = @prefix@
403 program_transform_name = @program_transform_name@
404 psdir = @psdir@
405 pthread_CFLAGS = @pthread_CFLAGS@
406 pthread_LIBS = @pthread_LIBS@
407 qt_CFLAGS = @qt_CFLAGS@
408 qt_LIBS = @qt_LIBS@
409 real_pthread_CFLAGS = @real_pthread_CFLAGS@
410 real_pthread_LIBS = @real_pthread_LIBS@
411 sbindir = @sbindir@
412 sharedstatedir = @sharedstatedir@
413 shm_LIBS = @shm_LIBS@
414 skia_DIR = @skia_DIR@
415 srcdir = @srcdir@
416 sysconfdir = @sysconfdir@
417 target_alias = @target_alias@
418 top_build_prefix = @top_build_prefix@
419 top_builddir = @top_builddir@
420 top_srcdir = @top_srcdir@
421 xcb_CFLAGS = @xcb_CFLAGS@
422 xcb_LIBS = @xcb_LIBS@
423 xcb_shm_CFLAGS = @xcb_shm_CFLAGS@
424 xcb_shm_LIBS = @xcb_shm_LIBS@
425 xlib_CFLAGS = @xlib_CFLAGS@
426 xlib_LIBS = @xlib_LIBS@
427 xlib_xcb_CFLAGS = @xlib_xcb_CFLAGS@
428 xlib_xcb_LIBS = @xlib_xcb_LIBS@
429 xlib_xrender_CFLAGS = @xlib_xrender_CFLAGS@
430 xlib_xrender_LIBS = @xlib_xrender_LIBS@
431 BUILT_SOURCES = 
432 CLEANFILES = *.i *.s *.gch $(EXTRA_LTLIBRARIES) $(EXTRA_PROGRAMS) \
433         $(check_PROGRAMS) valgrind-log callgrind.out.* index.html
434 DISTCLEANFILES = $(BUILT_SOURCES)
435 EXTRA_DIST = cairo-perf-diff COPYING Makefile.win32
436 EXTRA_LTLIBRARIES = libcairoperf.la
437 MAINTAINERCLEANFILES = Makefile.in
438 libcairoperf_sources = \
439         cairo-perf.c            \
440         cairo-perf-report.c     \
441         cairo-stats.c           \
442         $(NULL)
443
444 libcairoperf_external_sources = ../src/cairo-time.c
445 libcairoperf_headers = \
446         cairo-perf.h   \
447         cairo-stats.h  \
448         $(NULL)
449
450 cairo_analyse_trace_sources = cairo-analyse-trace.c
451 cairo_analyse_trace_external_sources = ../src/cairo-error.c
452 cairo_perf_trace_sources = cairo-perf-trace.c
453 cairo_perf_trace_external_sources = \
454         ../src/cairo-error.c \
455         ../src/cairo-hash.c \
456         $(NULL)
457
458 cairo_perf_micro_sources = cairo-perf-micro.c
459 cairo_perf_diff_files_sources = cairo-perf-diff-files.c
460 cairo_perf_print_sources = cairo-perf-print.c
461 cairo_perf_chart_sources = cairo-perf-chart.c
462 cairo_perf_compare_backends_sources = cairo-perf-compare-backends.c
463 cairo_perf_graph_files_sources = \
464         cairo-perf-graph-files.c        \
465         cairo-perf-graph-widget.c       \
466         $(NULL)
467
468 cairo_perf_graph_files_headers = cairo-perf-graph.h
469 AM_CPPFLAGS = \
470         -I$(srcdir)                             \
471         -I$(top_srcdir)/boilerplate             \
472         -I$(top_srcdir)/src                     \
473         -I$(top_srcdir)/util/cairo-missing      \
474         -I$(top_srcdir)/util/cairo-script       \
475         -I$(top_builddir)/src                   \
476         $(CAIRO_CFLAGS)
477
478 AM_LDFLAGS = $(CAIRO_LDFLAGS)
479 SUBDIRS = micro
480 LDADD = libcairoperf.la \
481         $(top_builddir)/boilerplate/libcairoboilerplate.la \
482         $(top_builddir)/src/libcairo.la
483
484 cairo_perf_micro_SOURCES = $(cairo_perf_micro_sources)
485 cairo_perf_micro_LDADD = \
486         $(top_builddir)/perf/micro/libcairo-perf-micro.la \
487         $(LDADD)
488
489 cairo_perf_micro_DEPENDENCIES = \
490         $(top_builddir)/perf/micro/libcairo-perf-micro.la \
491         $(LDADD)
492
493 libcairoperf_la_SOURCES = \
494         $(libcairoperf_sources) \
495         $(libcairoperf_external_sources) \
496         $(libcairoperf_headers) \
497         $(NULL)
498
499 cairo_analyse_trace_SOURCES = \
500         $(cairo_analyse_trace_sources)  \
501         $(cairo_analyse_trace_external_sources)
502
503 cairo_analyse_trace_LDADD = \
504         $(top_builddir)/util/cairo-script/libcairo-script-interpreter.la \
505         $(top_builddir)/util/cairo-missing/libcairo-missing.la \
506         $(LDADD)
507
508 cairo_analyse_trace_DEPENDENCIES = \
509         $(top_builddir)/util/cairo-script/libcairo-script-interpreter.la \
510         $(top_builddir)/util/cairo-missing/libcairo-missing.la \
511         $(LDADD)
512
513 cairo_perf_trace_SOURCES = \
514         $(cairo_perf_trace_sources)     \
515         $(cairo_perf_trace_external_sources)
516
517 cairo_perf_trace_LDADD = \
518         $(top_builddir)/util/cairo-script/libcairo-script-interpreter.la \
519         $(top_builddir)/util/cairo-missing/libcairo-missing.la \
520         $(LDADD)
521
522 cairo_perf_trace_DEPENDENCIES = \
523         $(top_builddir)/util/cairo-script/libcairo-script-interpreter.la \
524         $(top_builddir)/util/cairo-missing/libcairo-missing.la \
525         $(LDADD)
526
527 cairo_perf_diff_files_SOURCES = $(cairo_perf_diff_files_sources)
528 cairo_perf_print_SOURCES = $(cairo_perf_print_sources)
529 cairo_perf_chart_SOURCES = $(cairo_perf_chart_sources)
530 cairo_perf_compare_backends_SOURCES = $(cairo_perf_compare_backends_sources)
531 cairo_perf_graph_files_SOURCES = \
532         $(cairo_perf_graph_files_sources)       \
533         $(cairo_perf_graph_files_headers)
534
535 cairo_perf_graph_files_CFLAGS = @gtk_CFLAGS@
536 cairo_perf_graph_files_LDADD = @gtk_LIBS@ $(LDADD)
537
538 # Do a funny transition of CAIRO_TEST_TARGET through TARGETS such that
539 # one can limit tested targets both through CAIRO_TEST_TARGET env var
540 # and TARGETS make var on the command line.  Same for the rest.
541 TARGETS = $(CAIRO_TEST_TARGET)
542 TARGETS_EXCLUDE = $(CAIRO_TEST_TARGET_EXCLUDE)
543 ITERS = $(CAIRO_PERF_ITERATIONS)
544 CAIRO_PERF_ENVIRONMENT = CAIRO_PERF_ITERATIONS="$(ITERS)" CAIRO_TEST_TARGET="$(TARGETS)" CAIRO_TEST_TARGET_EXCLUDE="$(TARGETS_EXCLUDE)"
545 EXTRA_VALGRIND_FLAGS = $(CAIRO_EXTRA_VALGRIND_FLAGS)
546 VALGRIND_MEMCHECK_FLAGS = \
547         --tool=memcheck \
548         --suppressions=$(top_srcdir)/test/.valgrind-suppressions \
549         --leak-check=yes --show-reachable=yes
550
551 VALGRIND_CALLGRIND_FLAGS = \
552         --tool=callgrind
553
554 all: $(BUILT_SOURCES)
555         $(MAKE) $(AM_MAKEFLAGS) all-recursive
556
557 .SUFFIXES:
558 .SUFFIXES: .c .lo .o .obj
559 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/build/Makefile.am.common $(top_srcdir)/perf/Makefile.sources $(am__configure_deps)
560         @for dep in $?; do \
561           case '$(am__configure_deps)' in \
562             *$$dep*) \
563               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
564                 && { if test -f $@; then exit 0; else break; fi; }; \
565               exit 1;; \
566           esac; \
567         done; \
568         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign perf/Makefile'; \
569         $(am__cd) $(top_srcdir) && \
570           $(AUTOMAKE) --foreign perf/Makefile
571 .PRECIOUS: Makefile
572 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
573         @case '$?' in \
574           *config.status*) \
575             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
576           *) \
577             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
578             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
579         esac;
580
581 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
582         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
583
584 $(top_srcdir)/configure:  $(am__configure_deps)
585         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
586 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
587         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
588 $(am__aclocal_m4_deps):
589 libcairoperf.la: $(libcairoperf_la_OBJECTS) $(libcairoperf_la_DEPENDENCIES) 
590         $(AM_V_CCLD)$(LINK)  $(libcairoperf_la_OBJECTS) $(libcairoperf_la_LIBADD) $(LIBS)
591
592 clean-checkPROGRAMS:
593         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
594         echo " rm -f" $$list; \
595         rm -f $$list || exit $$?; \
596         test -n "$(EXEEXT)" || exit 0; \
597         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
598         echo " rm -f" $$list; \
599         rm -f $$list
600
601 clean-noinstPROGRAMS:
602         @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
603         echo " rm -f" $$list; \
604         rm -f $$list || exit $$?; \
605         test -n "$(EXEEXT)" || exit 0; \
606         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
607         echo " rm -f" $$list; \
608         rm -f $$list
609 cairo-analyse-trace$(EXEEXT): $(cairo_analyse_trace_OBJECTS) $(cairo_analyse_trace_DEPENDENCIES) 
610         @rm -f cairo-analyse-trace$(EXEEXT)
611         $(AM_V_CCLD)$(LINK) $(cairo_analyse_trace_OBJECTS) $(cairo_analyse_trace_LDADD) $(LIBS)
612 cairo-perf-chart$(EXEEXT): $(cairo_perf_chart_OBJECTS) $(cairo_perf_chart_DEPENDENCIES) 
613         @rm -f cairo-perf-chart$(EXEEXT)
614         $(AM_V_CCLD)$(LINK) $(cairo_perf_chart_OBJECTS) $(cairo_perf_chart_LDADD) $(LIBS)
615 cairo-perf-compare-backends$(EXEEXT): $(cairo_perf_compare_backends_OBJECTS) $(cairo_perf_compare_backends_DEPENDENCIES) 
616         @rm -f cairo-perf-compare-backends$(EXEEXT)
617         $(AM_V_CCLD)$(LINK) $(cairo_perf_compare_backends_OBJECTS) $(cairo_perf_compare_backends_LDADD) $(LIBS)
618 cairo-perf-diff-files$(EXEEXT): $(cairo_perf_diff_files_OBJECTS) $(cairo_perf_diff_files_DEPENDENCIES) 
619         @rm -f cairo-perf-diff-files$(EXEEXT)
620         $(AM_V_CCLD)$(LINK) $(cairo_perf_diff_files_OBJECTS) $(cairo_perf_diff_files_LDADD) $(LIBS)
621 cairo-perf-graph-files$(EXEEXT): $(cairo_perf_graph_files_OBJECTS) $(cairo_perf_graph_files_DEPENDENCIES) 
622         @rm -f cairo-perf-graph-files$(EXEEXT)
623         $(AM_V_CCLD)$(cairo_perf_graph_files_LINK) $(cairo_perf_graph_files_OBJECTS) $(cairo_perf_graph_files_LDADD) $(LIBS)
624 cairo-perf-micro$(EXEEXT): $(cairo_perf_micro_OBJECTS) $(cairo_perf_micro_DEPENDENCIES) 
625         @rm -f cairo-perf-micro$(EXEEXT)
626         $(AM_V_CCLD)$(LINK) $(cairo_perf_micro_OBJECTS) $(cairo_perf_micro_LDADD) $(LIBS)
627 cairo-perf-print$(EXEEXT): $(cairo_perf_print_OBJECTS) $(cairo_perf_print_DEPENDENCIES) 
628         @rm -f cairo-perf-print$(EXEEXT)
629         $(AM_V_CCLD)$(LINK) $(cairo_perf_print_OBJECTS) $(cairo_perf_print_LDADD) $(LIBS)
630 cairo-perf-trace$(EXEEXT): $(cairo_perf_trace_OBJECTS) $(cairo_perf_trace_DEPENDENCIES) 
631         @rm -f cairo-perf-trace$(EXEEXT)
632         $(AM_V_CCLD)$(LINK) $(cairo_perf_trace_OBJECTS) $(cairo_perf_trace_LDADD) $(LIBS)
633
634 mostlyclean-compile:
635         -rm -f *.$(OBJEXT)
636
637 distclean-compile:
638         -rm -f *.tab.c
639
640 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-analyse-trace.Po@am__quote@
641 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-error.Po@am__quote@
642 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-hash.Po@am__quote@
643 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-perf-chart.Po@am__quote@
644 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-perf-compare-backends.Po@am__quote@
645 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-perf-diff-files.Po@am__quote@
646 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-perf-micro.Po@am__quote@
647 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-perf-print.Po@am__quote@
648 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-perf-report.Plo@am__quote@
649 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-perf-trace.Po@am__quote@
650 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-perf.Plo@am__quote@
651 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-stats.Plo@am__quote@
652 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo-time.Plo@am__quote@
653 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-files.Po@am__quote@
654 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-widget.Po@am__quote@
655
656 .c.o:
657 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
658 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
659 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
660 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
661 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
662 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
663
664 .c.obj:
665 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
666 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
667 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
668 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
669 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
670 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
671
672 .c.lo:
673 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
674 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
675 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
676 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
677 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
678 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
679
680 cairo-time.lo: ../src/cairo-time.c
681 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT cairo-time.lo -MD -MP -MF $(DEPDIR)/cairo-time.Tpo -c -o cairo-time.lo `test -f '../src/cairo-time.c' || echo '$(srcdir)/'`../src/cairo-time.c
682 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/cairo-time.Tpo $(DEPDIR)/cairo-time.Plo
683 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
684 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='../src/cairo-time.c' object='cairo-time.lo' libtool=yes @AMDEPBACKSLASH@
685 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
686 @am__fastdepCC_FALSE@   $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cairo-time.lo `test -f '../src/cairo-time.c' || echo '$(srcdir)/'`../src/cairo-time.c
687
688 cairo-error.o: ../src/cairo-error.c
689 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT cairo-error.o -MD -MP -MF $(DEPDIR)/cairo-error.Tpo -c -o cairo-error.o `test -f '../src/cairo-error.c' || echo '$(srcdir)/'`../src/cairo-error.c
690 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/cairo-error.Tpo $(DEPDIR)/cairo-error.Po
691 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
692 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='../src/cairo-error.c' object='cairo-error.o' libtool=no @AMDEPBACKSLASH@
693 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
694 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cairo-error.o `test -f '../src/cairo-error.c' || echo '$(srcdir)/'`../src/cairo-error.c
695
696 cairo-error.obj: ../src/cairo-error.c
697 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT cairo-error.obj -MD -MP -MF $(DEPDIR)/cairo-error.Tpo -c -o cairo-error.obj `if test -f '../src/cairo-error.c'; then $(CYGPATH_W) '../src/cairo-error.c'; else $(CYGPATH_W) '$(srcdir)/../src/cairo-error.c'; fi`
698 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/cairo-error.Tpo $(DEPDIR)/cairo-error.Po
699 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
700 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='../src/cairo-error.c' object='cairo-error.obj' libtool=no @AMDEPBACKSLASH@
701 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
702 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cairo-error.obj `if test -f '../src/cairo-error.c'; then $(CYGPATH_W) '../src/cairo-error.c'; else $(CYGPATH_W) '$(srcdir)/../src/cairo-error.c'; fi`
703
704 cairo_perf_graph_files-cairo-perf-graph-files.o: cairo-perf-graph-files.c
705 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cairo_perf_graph_files_CFLAGS) $(CFLAGS) -MT cairo_perf_graph_files-cairo-perf-graph-files.o -MD -MP -MF $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-files.Tpo -c -o cairo_perf_graph_files-cairo-perf-graph-files.o `test -f 'cairo-perf-graph-files.c' || echo '$(srcdir)/'`cairo-perf-graph-files.c
706 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-files.Tpo $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-files.Po
707 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
708 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='cairo-perf-graph-files.c' object='cairo_perf_graph_files-cairo-perf-graph-files.o' libtool=no @AMDEPBACKSLASH@
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
710 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cairo_perf_graph_files_CFLAGS) $(CFLAGS) -c -o cairo_perf_graph_files-cairo-perf-graph-files.o `test -f 'cairo-perf-graph-files.c' || echo '$(srcdir)/'`cairo-perf-graph-files.c
711
712 cairo_perf_graph_files-cairo-perf-graph-files.obj: cairo-perf-graph-files.c
713 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cairo_perf_graph_files_CFLAGS) $(CFLAGS) -MT cairo_perf_graph_files-cairo-perf-graph-files.obj -MD -MP -MF $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-files.Tpo -c -o cairo_perf_graph_files-cairo-perf-graph-files.obj `if test -f 'cairo-perf-graph-files.c'; then $(CYGPATH_W) 'cairo-perf-graph-files.c'; else $(CYGPATH_W) '$(srcdir)/cairo-perf-graph-files.c'; fi`
714 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-files.Tpo $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-files.Po
715 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='cairo-perf-graph-files.c' object='cairo_perf_graph_files-cairo-perf-graph-files.obj' libtool=no @AMDEPBACKSLASH@
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
718 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cairo_perf_graph_files_CFLAGS) $(CFLAGS) -c -o cairo_perf_graph_files-cairo-perf-graph-files.obj `if test -f 'cairo-perf-graph-files.c'; then $(CYGPATH_W) 'cairo-perf-graph-files.c'; else $(CYGPATH_W) '$(srcdir)/cairo-perf-graph-files.c'; fi`
719
720 cairo_perf_graph_files-cairo-perf-graph-widget.o: cairo-perf-graph-widget.c
721 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cairo_perf_graph_files_CFLAGS) $(CFLAGS) -MT cairo_perf_graph_files-cairo-perf-graph-widget.o -MD -MP -MF $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-widget.Tpo -c -o cairo_perf_graph_files-cairo-perf-graph-widget.o `test -f 'cairo-perf-graph-widget.c' || echo '$(srcdir)/'`cairo-perf-graph-widget.c
722 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-widget.Tpo $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-widget.Po
723 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='cairo-perf-graph-widget.c' object='cairo_perf_graph_files-cairo-perf-graph-widget.o' libtool=no @AMDEPBACKSLASH@
725 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
726 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cairo_perf_graph_files_CFLAGS) $(CFLAGS) -c -o cairo_perf_graph_files-cairo-perf-graph-widget.o `test -f 'cairo-perf-graph-widget.c' || echo '$(srcdir)/'`cairo-perf-graph-widget.c
727
728 cairo_perf_graph_files-cairo-perf-graph-widget.obj: cairo-perf-graph-widget.c
729 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cairo_perf_graph_files_CFLAGS) $(CFLAGS) -MT cairo_perf_graph_files-cairo-perf-graph-widget.obj -MD -MP -MF $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-widget.Tpo -c -o cairo_perf_graph_files-cairo-perf-graph-widget.obj `if test -f 'cairo-perf-graph-widget.c'; then $(CYGPATH_W) 'cairo-perf-graph-widget.c'; else $(CYGPATH_W) '$(srcdir)/cairo-perf-graph-widget.c'; fi`
730 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-widget.Tpo $(DEPDIR)/cairo_perf_graph_files-cairo-perf-graph-widget.Po
731 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='cairo-perf-graph-widget.c' object='cairo_perf_graph_files-cairo-perf-graph-widget.obj' libtool=no @AMDEPBACKSLASH@
733 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
734 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cairo_perf_graph_files_CFLAGS) $(CFLAGS) -c -o cairo_perf_graph_files-cairo-perf-graph-widget.obj `if test -f 'cairo-perf-graph-widget.c'; then $(CYGPATH_W) 'cairo-perf-graph-widget.c'; else $(CYGPATH_W) '$(srcdir)/cairo-perf-graph-widget.c'; fi`
735
736 cairo-hash.o: ../src/cairo-hash.c
737 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT cairo-hash.o -MD -MP -MF $(DEPDIR)/cairo-hash.Tpo -c -o cairo-hash.o `test -f '../src/cairo-hash.c' || echo '$(srcdir)/'`../src/cairo-hash.c
738 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/cairo-hash.Tpo $(DEPDIR)/cairo-hash.Po
739 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
740 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='../src/cairo-hash.c' object='cairo-hash.o' libtool=no @AMDEPBACKSLASH@
741 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
742 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cairo-hash.o `test -f '../src/cairo-hash.c' || echo '$(srcdir)/'`../src/cairo-hash.c
743
744 cairo-hash.obj: ../src/cairo-hash.c
745 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT cairo-hash.obj -MD -MP -MF $(DEPDIR)/cairo-hash.Tpo -c -o cairo-hash.obj `if test -f '../src/cairo-hash.c'; then $(CYGPATH_W) '../src/cairo-hash.c'; else $(CYGPATH_W) '$(srcdir)/../src/cairo-hash.c'; fi`
746 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/cairo-hash.Tpo $(DEPDIR)/cairo-hash.Po
747 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
748 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='../src/cairo-hash.c' object='cairo-hash.obj' libtool=no @AMDEPBACKSLASH@
749 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
750 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cairo-hash.obj `if test -f '../src/cairo-hash.c'; then $(CYGPATH_W) '../src/cairo-hash.c'; else $(CYGPATH_W) '$(srcdir)/../src/cairo-hash.c'; fi`
751
752 mostlyclean-libtool:
753         -rm -f *.lo
754
755 clean-libtool:
756         -rm -rf .libs _libs
757
758 # This directory's subdirectories are mostly independent; you can cd
759 # into them and run `make' without going through this Makefile.
760 # To change the values of `make' variables: instead of editing Makefiles,
761 # (1) if the variable is set in `config.status', edit `config.status'
762 #     (which will cause the Makefiles to be regenerated when you run `make');
763 # (2) otherwise, pass the desired values on the `make' command line.
764 $(RECURSIVE_TARGETS):
765         @fail= failcom='exit 1'; \
766         for f in x $$MAKEFLAGS; do \
767           case $$f in \
768             *=* | --[!k]*);; \
769             *k*) failcom='fail=yes';; \
770           esac; \
771         done; \
772         dot_seen=no; \
773         target=`echo $@ | sed s/-recursive//`; \
774         list='$(SUBDIRS)'; for subdir in $$list; do \
775           echo "Making $$target in $$subdir"; \
776           if test "$$subdir" = "."; then \
777             dot_seen=yes; \
778             local_target="$$target-am"; \
779           else \
780             local_target="$$target"; \
781           fi; \
782           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
783           || eval $$failcom; \
784         done; \
785         if test "$$dot_seen" = "no"; then \
786           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
787         fi; test -z "$$fail"
788
789 $(RECURSIVE_CLEAN_TARGETS):
790         @fail= failcom='exit 1'; \
791         for f in x $$MAKEFLAGS; do \
792           case $$f in \
793             *=* | --[!k]*);; \
794             *k*) failcom='fail=yes';; \
795           esac; \
796         done; \
797         dot_seen=no; \
798         case "$@" in \
799           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
800           *) list='$(SUBDIRS)' ;; \
801         esac; \
802         rev=''; for subdir in $$list; do \
803           if test "$$subdir" = "."; then :; else \
804             rev="$$subdir $$rev"; \
805           fi; \
806         done; \
807         rev="$$rev ."; \
808         target=`echo $@ | sed s/-recursive//`; \
809         for subdir in $$rev; do \
810           echo "Making $$target in $$subdir"; \
811           if test "$$subdir" = "."; then \
812             local_target="$$target-am"; \
813           else \
814             local_target="$$target"; \
815           fi; \
816           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
817           || eval $$failcom; \
818         done && test -z "$$fail"
819 tags-recursive:
820         list='$(SUBDIRS)'; for subdir in $$list; do \
821           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
822         done
823 ctags-recursive:
824         list='$(SUBDIRS)'; for subdir in $$list; do \
825           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
826         done
827
828 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
829         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
830         unique=`for i in $$list; do \
831             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
832           done | \
833           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
834               END { if (nonempty) { for (i in files) print i; }; }'`; \
835         mkid -fID $$unique
836 tags: TAGS
837
838 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
839                 $(TAGS_FILES) $(LISP)
840         set x; \
841         here=`pwd`; \
842         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
843           include_option=--etags-include; \
844           empty_fix=.; \
845         else \
846           include_option=--include; \
847           empty_fix=; \
848         fi; \
849         list='$(SUBDIRS)'; for subdir in $$list; do \
850           if test "$$subdir" = .; then :; else \
851             test ! -f $$subdir/TAGS || \
852               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
853           fi; \
854         done; \
855         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
856         unique=`for i in $$list; do \
857             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
858           done | \
859           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
860               END { if (nonempty) { for (i in files) print i; }; }'`; \
861         shift; \
862         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
863           test -n "$$unique" || unique=$$empty_fix; \
864           if test $$# -gt 0; then \
865             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
866               "$$@" $$unique; \
867           else \
868             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
869               $$unique; \
870           fi; \
871         fi
872 ctags: CTAGS
873 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
874                 $(TAGS_FILES) $(LISP)
875         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
876         unique=`for i in $$list; do \
877             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
878           done | \
879           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
880               END { if (nonempty) { for (i in files) print i; }; }'`; \
881         test -z "$(CTAGS_ARGS)$$unique" \
882           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
883              $$unique
884
885 GTAGS:
886         here=`$(am__cd) $(top_builddir) && pwd` \
887           && $(am__cd) $(top_srcdir) \
888           && gtags -i $(GTAGS_ARGS) "$$here"
889
890 distclean-tags:
891         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
892
893 check-TESTS: $(TESTS)
894         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
895         srcdir=$(srcdir); export srcdir; \
896         list=' $(TESTS) '; \
897         $(am__tty_colors); \
898         if test -n "$$list"; then \
899           for tst in $$list; do \
900             if test -f ./$$tst; then dir=./; \
901             elif test -f $$tst; then dir=; \
902             else dir="$(srcdir)/"; fi; \
903             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
904               all=`expr $$all + 1`; \
905               case " $(XFAIL_TESTS) " in \
906               *[\ \     ]$$tst[\ \      ]*) \
907                 xpass=`expr $$xpass + 1`; \
908                 failed=`expr $$failed + 1`; \
909                 col=$$red; res=XPASS; \
910               ;; \
911               *) \
912                 col=$$grn; res=PASS; \
913               ;; \
914               esac; \
915             elif test $$? -ne 77; then \
916               all=`expr $$all + 1`; \
917               case " $(XFAIL_TESTS) " in \
918               *[\ \     ]$$tst[\ \      ]*) \
919                 xfail=`expr $$xfail + 1`; \
920                 col=$$lgn; res=XFAIL; \
921               ;; \
922               *) \
923                 failed=`expr $$failed + 1`; \
924                 col=$$red; res=FAIL; \
925               ;; \
926               esac; \
927             else \
928               skip=`expr $$skip + 1`; \
929               col=$$blu; res=SKIP; \
930             fi; \
931             echo "$${col}$$res$${std}: $$tst"; \
932           done; \
933           if test "$$all" -eq 1; then \
934             tests="test"; \
935             All=""; \
936           else \
937             tests="tests"; \
938             All="All "; \
939           fi; \
940           if test "$$failed" -eq 0; then \
941             if test "$$xfail" -eq 0; then \
942               banner="$$All$$all $$tests passed"; \
943             else \
944               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
945               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
946             fi; \
947           else \
948             if test "$$xpass" -eq 0; then \
949               banner="$$failed of $$all $$tests failed"; \
950             else \
951               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
952               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
953             fi; \
954           fi; \
955           dashes="$$banner"; \
956           skipped=""; \
957           if test "$$skip" -ne 0; then \
958             if test "$$skip" -eq 1; then \
959               skipped="($$skip test was not run)"; \
960             else \
961               skipped="($$skip tests were not run)"; \
962             fi; \
963             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
964               dashes="$$skipped"; \
965           fi; \
966           report=""; \
967           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
968             report="Please report to $(PACKAGE_BUGREPORT)"; \
969             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
970               dashes="$$report"; \
971           fi; \
972           dashes=`echo "$$dashes" | sed s/./=/g`; \
973           if test "$$failed" -eq 0; then \
974             echo "$$grn$$dashes"; \
975           else \
976             echo "$$red$$dashes"; \
977           fi; \
978           echo "$$banner"; \
979           test -z "$$skipped" || echo "$$skipped"; \
980           test -z "$$report" || echo "$$report"; \
981           echo "$$dashes$$std"; \
982           test "$$failed" -eq 0; \
983         else :; fi
984
985 distdir: $(DISTFILES)
986         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
987         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
988         list='$(DISTFILES)'; \
989           dist_files=`for file in $$list; do echo $$file; done | \
990           sed -e "s|^$$srcdirstrip/||;t" \
991               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
992         case $$dist_files in \
993           */*) $(MKDIR_P) `echo "$$dist_files" | \
994                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
995                            sort -u` ;; \
996         esac; \
997         for file in $$dist_files; do \
998           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
999           if test -d $$d/$$file; then \
1000             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1001             if test -d "$(distdir)/$$file"; then \
1002               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1003             fi; \
1004             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1005               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1006               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1007             fi; \
1008             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1009           else \
1010             test -f "$(distdir)/$$file" \
1011             || cp -p $$d/$$file "$(distdir)/$$file" \
1012             || exit 1; \
1013           fi; \
1014         done
1015         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1016           if test "$$subdir" = .; then :; else \
1017             test -d "$(distdir)/$$subdir" \
1018             || $(MKDIR_P) "$(distdir)/$$subdir" \
1019             || exit 1; \
1020           fi; \
1021         done
1022         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1023           if test "$$subdir" = .; then :; else \
1024             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1025             $(am__relativize); \
1026             new_distdir=$$reldir; \
1027             dir1=$$subdir; dir2="$(top_distdir)"; \
1028             $(am__relativize); \
1029             new_top_distdir=$$reldir; \
1030             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1031             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1032             ($(am__cd) $$subdir && \
1033               $(MAKE) $(AM_MAKEFLAGS) \
1034                 top_distdir="$$new_top_distdir" \
1035                 distdir="$$new_distdir" \
1036                 am__remove_distdir=: \
1037                 am__skip_length_check=: \
1038                 am__skip_mode_fix=: \
1039                 distdir) \
1040               || exit 1; \
1041           fi; \
1042         done
1043 check-am: all-am
1044         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1045         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1046 check: $(BUILT_SOURCES)
1047         $(MAKE) $(AM_MAKEFLAGS) check-recursive
1048 all-am: Makefile $(PROGRAMS)
1049 installdirs: installdirs-recursive
1050 installdirs-am:
1051 install: $(BUILT_SOURCES)
1052         $(MAKE) $(AM_MAKEFLAGS) install-recursive
1053 install-exec: install-exec-recursive
1054 install-data: install-data-recursive
1055 uninstall: uninstall-recursive
1056
1057 install-am: all-am
1058         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1059
1060 installcheck: installcheck-recursive
1061 install-strip:
1062         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1063           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1064           `test -z '$(STRIP)' || \
1065             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1066 mostlyclean-generic:
1067
1068 clean-generic:
1069         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1070
1071 distclean-generic:
1072         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1073         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1074         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1075
1076 maintainer-clean-generic:
1077         @echo "This command is intended for maintainers to use"
1078         @echo "it deletes files that may require special tools to rebuild."
1079         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1080         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1081 clean: clean-recursive
1082
1083 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1084         clean-noinstPROGRAMS mostlyclean-am
1085
1086 distclean: distclean-recursive
1087         -rm -rf ./$(DEPDIR)
1088         -rm -f Makefile
1089 distclean-am: clean-am distclean-compile distclean-generic \
1090         distclean-tags
1091
1092 dvi: dvi-recursive
1093
1094 dvi-am:
1095
1096 html: html-recursive
1097
1098 html-am: html-local
1099
1100 info: info-recursive
1101
1102 info-am:
1103
1104 install-data-am:
1105
1106 install-dvi: install-dvi-recursive
1107
1108 install-dvi-am:
1109
1110 install-exec-am:
1111
1112 install-html: install-html-recursive
1113
1114 install-html-am:
1115
1116 install-info: install-info-recursive
1117
1118 install-info-am:
1119
1120 install-man:
1121
1122 install-pdf: install-pdf-recursive
1123
1124 install-pdf-am:
1125
1126 install-ps: install-ps-recursive
1127
1128 install-ps-am:
1129
1130 installcheck-am:
1131
1132 maintainer-clean: maintainer-clean-recursive
1133         -rm -rf ./$(DEPDIR)
1134         -rm -f Makefile
1135 maintainer-clean-am: distclean-am maintainer-clean-generic
1136
1137 mostlyclean: mostlyclean-recursive
1138
1139 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1140         mostlyclean-libtool
1141
1142 pdf: pdf-recursive
1143
1144 pdf-am:
1145
1146 ps: ps-recursive
1147
1148 ps-am:
1149
1150 uninstall-am:
1151
1152 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all check \
1153         check-am ctags-recursive install install-am install-strip \
1154         tags-recursive
1155
1156 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1157         all all-am check check-TESTS check-am clean \
1158         clean-checkPROGRAMS clean-generic clean-libtool \
1159         clean-noinstPROGRAMS ctags ctags-recursive distclean \
1160         distclean-compile distclean-generic distclean-libtool \
1161         distclean-tags distdir dvi dvi-am html html-am html-local info \
1162         info-am install install-am install-data install-data-am \
1163         install-dvi install-dvi-am install-exec install-exec-am \
1164         install-html install-html-am install-info install-info-am \
1165         install-man install-pdf install-pdf-am install-ps \
1166         install-ps-am install-strip installcheck installcheck-am \
1167         installdirs installdirs-am maintainer-clean \
1168         maintainer-clean-generic mostlyclean mostlyclean-compile \
1169         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1170         tags tags-recursive uninstall uninstall-am
1171
1172
1173 # Install rules to rebuild the libraries and add explicit dependencies
1174 $(top_builddir)/perf/micro/libcairo-perf-micro.la:
1175         cd $(top_builddir)/perf/micro && $(MAKE) $(AM_MAKEFLAGS) libcairo-perf-micro.la
1176
1177 $(top_builddir)/boilerplate/libcairoboilerplate.la: $(top_builddir)/src/libcairo.la
1178         cd $(top_builddir)/boilerplate && $(MAKE) $(AM_MAKEFLAGS) libcairoboilerplate.la
1179
1180 $(top_builddir)/src/libcairo.la:
1181         cd $(top_builddir)/src && $(MAKE) $(AM_MAKEFLAGS) libcairo.la
1182
1183 $(top_builddir)/util/cairo-script/libcairo-script-interpreter.la: $(top_builddir)/src/libcairo.la
1184         cd $(top_builddir)/util/cairo-script && $(MAKE) $(AM_MAKEFLAGS) libcairo-script-interpreter.la
1185
1186 perf: cairo-perf-micro$(EXEEXT) cairo-perf-trace$(EXEEXT)
1187         -$(CAIRO_PERF_ENVIRONMENT) ./cairo-perf-micro$(EXEEXT)
1188         -$(CAIRO_PERF_ENVIRONMENT) ./cairo-perf-trace$(EXEEXT)
1189
1190 html-local: index.html
1191
1192 perf-tag.html : cairo-perf-micro${EXEEXT}
1193         $(CAIRO_PERF_ENVIRONMENT) ./cairo-perf-diff -t -h $@ `git describe --abbrev=0` HEAD
1194 perf-commit.html : cairo-perf-micro${EXEEXT}
1195         $(CAIRO_PERF_ENVIRONMENT) ./cairo-perf-diff -t -h $@ HEAD
1196
1197 # Summarise changes in index.html, with details in links
1198 index.html: perf-tag.html perf-commit.html
1199         echo "<html><head><title>Performance Changes</title></head><body>Against <a href=\"perf-tag.html\">"`git describe --abbrev=0`"</a><br><a href=\"perf-commit.html\">Latest commit</a></body>" > $@
1200
1201 perf-valgrind:
1202         $(MAKE) $(AM_MAKEFLAGS) perf \
1203             $(top_builddir)/libtool --mode=execute \
1204             valgrind $(VALGRIND_MEMCHECK_FLAGS) $(EXTRA_VALGRIND_FLAGS)' \
1205             | tee valgrind-log
1206
1207 perf-callgrind:
1208         $(MAKE) $(AM_MAKEFLAGS) perf \
1209             $(top_builddir)/libtool --mode=execute \
1210             valgrind $(VALGRIND_CALLGRIND_FLAGS) $(EXTRA_VALGRIND_FLAGS)'
1211
1212 .PHONY: perf perf-valgrind perf-callgrind
1213
1214 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1215 # Otherwise a system limit (for SysV at least) may be exceeded.
1216 .NOEXPORT: